
Foreman - Feature #12436

As a user I want to deploy vSphere vms on a storage pods

11/10/2015 10:33 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Compute resources - VMware   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2915

  

Description

vSphere knows the concept of Storage Pools. It would be nice if a user could deploy a vm to a storage pool instead of a datastore.

Related issues:

Related to Foreman - Bug #14051: image-based provisioning via vmware fails on... Resolved 03/04/2016

Blocked by Foreman - Refactor #12612: Update fog to 1.37.0 Closed 11/26/2015

Associated revisions

Revision d46cc693 - 02/10/2016 02:36 PM - Timo Goebel

fixes #12436 - as a user I want to deploy vSphere vms on a storage pool

Revision 6049b477 - 02/16/2016 08:04 AM - Dominic Cleal

refs #12436 - min version of fog-vsphere

History

#1 - 11/10/2015 10:34 AM - Dominic Cleal

- Category set to Compute resources - VMware

#2 - 11/13/2015 11:14 PM - Timo Goebel

- Blocked by Feature #12479: Configure API revision for vSphere Compute Resource added

#3 - 11/16/2015 03:38 AM - Timo Goebel

- Subject changed from As a user I want to deploy vSphere vms on a storage pool to As a user I want to deploy vSphere vms on a storage pods

#4 - 11/16/2015 03:39 AM - Timo Goebel

vSphere actually calls this storage pods in the api or simply Datastore Clusters

#5 - 11/16/2015 10:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2915 added

#6 - 11/18/2015 08:04 AM - Timo Goebel

- Blocked by deleted (Feature #12479: Configure API revision for vSphere Compute Resource)

#7 - 11/26/2015 06:01 AM - Timo Goebel

- Blocked by Refactor #12612: Update fog to 1.37.0 added

#8 - 02/10/2016 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d46cc6931b7ab1ec0860a4c389c07ae5180cf768.

#9 - 02/12/2016 06:02 AM - Dominic Cleal

- translation missing: en.field_release set to 71

#10 - 03/04/2016 10:10 AM - Dominic Cleal

- Related to Bug #14051: image-based provisioning via vmware fails on `wrong number of arguments (2 for 1)` added
